#{extends 'borderNG.html' /}

#{set 'titleHead'}
&{'kualifikasi.pengiriman_kualifikas'}
#{/set}

<ul class="breadcrumb" style="background-color: #d9534f !important;">
    <li><a href="@{BerandaCtr.nonLelang()}" >&{'kualifikasi.home'}</a></li>
    <li class="active"><a href="@{nonlelang.PengadaanLCtr.view(pl?.lls_id)}">&{'kualifikasi.info_paket'}</a></li>
    <li class="active">&{'kualifikasi.kirim_data'}</li>
</ul>

<div class="content">
    <table class="table table-sm table-bordered">
        <tr>
            <th class="bgwarning" width="150">Kode Paket</th>
            <th width="260">${pl.lls_id}</th>
            <td class="bgwarning" width="150">Nilai HPS</td>
            <td>${pl.paket?.pkt_hps?.rupiah()}</td>
        </tr>
        <tr>
            <th class="bgwarning">Nama Paket</th>
            <td colspan="3">${pl?.paket?.pkt_nama} #{if pl.lelangUlang}<span class="badge  badge-warning">Non Tender Ulang</span>#{/if}
        </tr>
    </table>
    <ul class="nav nav-tabs" role="tablist">
        <li class="nav-item"><a class="nav-link active" href="#ijin" role="tab" data-toggle="tab">Izin Usaha</a></li>
        <li class="nav-item"><a class="nav-link" href="#pajak" role="tab" data-toggle="tab">Pajak</a></li>
        <li class="nav-item"><a class="nav-link" href="#bank" role="tab" data-toggle="tab">Dukungan Bank</a></li>
        <li class="nav-item"><a class="nav-link" href="#akta" role="tab" data-toggle="tab">Akta</a></li>
        <li class="nav-item"><a class="nav-link" href="#staf" role="tab" data-toggle="tab">Tenaga Ahli</a></li>
        <li class="nav-item"><a class="nav-link" href="#pengalaman" role="tab" data-toggle="tab">Pengalaman</a></li>
        <li class="nav-item"><a class="nav-link" href="#pekerjaan" role="tab" data-toggle="tab">Pekerjaan Sedang Berjalan</a></li>
        <li class="nav-item"><a class="nav-link" href="#peralatan" role="tab" data-toggle="tab">Peralatan</a></li>
        <li class="nav-item"><a class="nav-link" href="#lainnya" role="tab" data-toggle="tab">Persyaratan Lainnya</a></li>
    </ul>
#{form @nonlelang.KualifikasiPlCtr.simpan(peserta.psr_id), enctype:"multipart/form-data"}
    <div class="content">
        #{alert /}
        <div class="tab-content">
            <div class="tab-pane active" id="ijin">#{kirimKualifikasiIjinPl peserta /}</div>
            <div class="tab-pane" id="pajak">#{kirimKualifikasiPajakPl peserta /}</div>
            <div class="tab-pane" id="bank">
                <table class="table table-sm">
                    <tr>
                        <th width="20%" class="bgwarning">Nama Bank</th>
                        <td><input type="text" name="dukunganBank.dkb_namabank" value="${dukunganBank?.dkb_namabank}" class="form-control"/></td>
                    </tr>
                    <tr>
                        <th class="bgwarning">Nomor Surat</th>
                        <td><input type="text" name="dukunganBank.dkb_no" value="${dukunganBank?.dkb_no}" class="form-control"/></td>
                    </tr>
                    <tr>
                        <th class="bgwarning">Tanggal</th>
                        <td><div class="input-group date datepicker width-normal">
                            <input name="dukunganBank.dkb_tanggal" type="text" value="${dukunganBank?.dkb_tanggal?.toDatepicker()}" class="form-control datepicker"/>
                            <div class="input-group-append"><span class="input-group-text"><i class="fa fa-calendar"></i></span></div>
                        </div></td>
                    </tr>
                    <tr>
                        <th class="bgwarning">Nilai</th>
                        <td><input type="text" name="dukunganBank.dkb_nilai" class="form-control" value="${dukunganBank?.dkb_nilai?.rupiah()}" onkeypress="return isNumberKey(event)"/></td>
                    </tr>
                    <tr>
                        <th class="bgwarning">Bukti Dukungan Bank <span class="warning">*</span></th>
                        <td>
                            #{if dukunganBank?.dokumen} <p>${dukunganBank?.dokumen?.fileName}</p> #{/if}
                            <input type="file" name="fileDukungan" class="form-control"/>
                        </td>
                    </tr>
                </table>
                <input type="hidden" name="dukunganBank.dkb_id" value="${dukunganBank?.dkb_id}"/>
                <button type="button" class="btn btn-secondary prev"> &laquo; Sebelumnya</button>
                <button type="button" class="btn btn-secondary float-right next">Selanjutnya &raquo;</button>
                <div class=" clearfix"></div>
                <div class="bs-callout bs-callout-warning"><span class="warning">*</span> &{'kualifikasi.harap_upload'}</div>
            </div>
            <div class="tab-pane" id="akta">#{kirimKualifikasiAktaPl peserta /}</div>
            <div class="tab-pane" id="staf">#{kirimKualifikasiStafAhliPl peserta /}</div>
            <div class="tab-pane" id="pengalaman">#{kirimKualifikasiPengalamanPl peserta /}</div>
            <div class="tab-pane" id="pekerjaan">#{kirimKualifikasiPekerjaanPl peserta /}</div>
            <div class="tab-pane" id="peralatan">#{kirimKualifikasiPeralatanPl peserta /}</div>
            <div class="tab-pane" id="lainnya">
                <div class="form-group">
                    <label>Dokumen Persyaratan Kualifikasi Lainnya:</label>
                    <table class="table table-sm">
	                    <tr>
	                        <th width="20%" class="bgwarning">- Dokumen Belum Terkirim</th>
	                        <td>
	                        <ul class="list-group files" id="files">
		                        #{list items:dok_lain_draft?.dokumenList, as:'blob'}
		                            <li class="list-group-item">#{download blob/}
		                                <a href="javascript:void(0)" class="removeDokDraft" versi="${blob?.blb_versi}"><i class="fa fa-trash-o"></i></a>
		                            </li>
		                        #{/list}
		                    </ul>
	                        </td>
	                    </tr>
	                    <tr>
	                        <th width="20%" class="bgwarning">- Dokumen Sudah Terkirim</th>
		                    <td>
							    <ul class="list-group files" id="files_">
				                    #{list items:dok_lain?.dokumenList, as:'blob'}
			                            <li class="list-group-item">#{download blob/}
			                                <a href="javascript:void(0)" class="removeDok" versi="${blob?.blb_versi}"><i class="fa fa-trash-o"></i></a>
			                            </li>
			                        #{/list}
		                        </ul>
	                        </td>
	                    </tr>
                		</table>
                </div>
                <div class="btn btn-success fileinput-button">
                    <i class="fa fa-plus-circle"></i>
                    <span>Upload</span>
                    <input id="fileupload" type="file" name="file">
                </div>
                <div id="progress" class="progress" style="display: none;">
                    <div class="progress-bar progress-bar-success"></div>
                </div>
                <div id="alert-upload" style="margin-top: 10px;"></div>
                <button type="button" class="btn btn-secondary prev"> &laquo; Sebelumnya</button>
                #{if allow_kualifikasi}
                    <input type="submit" class="btn btn-success float-right" value="Kirim Data Kualifikasi"  />
                #{/if}
                #{else}
                    <div class="clearfix"></div>
                    <div class="alert alert-danger">&{'kualifikasi.waktu_habis'}</div>
                #{/else}
            </div>
        </div>
    </div>
#{/form}
</div>

#{set 'css_custom' }
<link href="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/css/jquery.fileupload.min.css" rel="stylesheet" type="text/css">
#{/set}

#{set 'custom_script'}
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/vendor/jquery.ui.widget.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.iframe-transport.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-process.min.js"></script>
<script type="text/javascript" src="https://cdnjs.cloudflare.com/ajax/libs/blueimp-file-upload/10.13.1/js/jquery.fileupload-validate.min.js"></script>
<script type="text/javascript">
    $('.next').click(function(){
        var nextId = $(this).parents('.tab-pane').next().attr("id");
        $('[href="#'+nextId+'"]').tab('show');
    })
    $('.prev').click(function(){
        var nextId = $(this).parents('.tab-pane').prev().attr("id");
        $('[href="#'+nextId+'"]').tab('show');
    })
    $(document).on('click', '#fileupload', function(){
        $('#fileupload').fileupload({
            url: '@{nonlelang.KualifikasiPlCtr.uploadPersyaratanLain(peserta?.psr_id)}',
            dataType: 'json',
            acceptFileTypes: /(\.|\/)(txt|doc|docx|xls|xlsx|pdf|gif|jpe?g|png|zip|rar|rtf)$/i,
            done: function (e, data) {
                $.each(data.result.files, function (index, file) {
                    var content = '<a href="' + file.download_url + '"><i class="fa fa-download"></i> '+file.name+'</a> <a href="javascript:void(0)" class="removeDokDraft" versi="'+file.versi+'"><i class="fa fa-trash-o" ></i></a>';
                    $('<li/>').addClass('list-group-item').html(content).appendTo('#files');
                });
                $('#progress').hide();
            },
            progressall: function (e, data) {
                var progress = parseInt(data.loaded / data.total * 100, 10);
                $('#progress').show();
                $('#progress .progress-bar').css(
                        'width',
                        progress + '%'
                );
            }
        }).on('fileuploadprocessalways', function (e, data) {
            var file = data.files[data.index];
            if (data.files.error && file.error) {
                var msg = file.name+' - '+file.error
                $('#alert-upload').attr('class', 'alert alert-danger').html(msg)
            }
        }).prop('disabled', !$.support.fileInput).parent().addClass($.support.fileInput ? undefined : 'disabled');
    })
    
    $(document).on('click', '.removeDokDraft', function(){
        var versi = $(this).attr('versi');
        var parent = $(this).parent();
        $.ajax({
            type: 'POST',
            url: '@{nonlelang.KualifikasiPlCtr.hapusKualifikasiLainnyaDraft(peserta?.psr_id)}',
            data : {'versi': versi},
            success : function(){
                //alertSuccess.setMessage('&{'flash.ftbdh'}').open()
                parent.remove();
            },
            error : function(){
                //alertDanger.setMessage('&{'flash.ftdkdbh'}').open()
                alert('&{'flash.ftdkdbh'}');
            }
        })
    });
    
    $(document).on('click', '.removeDok', function(){
        var versi = $(this).attr('versi');
        var parent = $(this).parent();
        $.ajax({
            type: 'POST',
            url: '@{nonlelang.KualifikasiPlCtr.hapusKualifikasiLainnya(peserta?.psr_id)}',
            data : {'versi': versi},
            success : function(){
                parent.remove();
            },
            error : function(){
                alert('&{'flash.ftdkdbh'}');
            }
        })
    });
</script>
#{/set}